import 'package:flutter/services.dart';

class CuidaiRouteCommunication {
  late Function _onRoute;

  CuidaiRouteCommunication({required onRoute(String route)}) {
    _onRoute = onRoute;
  }

  Future<dynamic> nativeMethodCallHandler(MethodCall call) async {
    switch (call.method) {
      case "route":
        String? route = call.arguments["route"];
        _onRoute(route);
        return true;
      default:
        return false;
    }
  }
}
